Bug 1336482 - Change label "Installing" to "Downloading"
Summary: Change label "Installing" to "Downloading"
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: 1308538
TreeView+ depends on / blocked
 
Reported: 2016-05-16 15:14 UTC by Parag Nemade
Modified: 2016-07-20 23:49 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-07-20 23:49:46 UTC


Attachments (Terms of Use)
image that shows the "Installing" label (133.18 KB, image/png)
2016-05-16 15:14 UTC, Parag Nemade
no flags Details

Description Parag Nemade 2016-05-16 15:14:44 UTC
Created attachment 1158001 [details]
image that shows the "Installing" label

Description of problem:
This bug is reported as part of https://fedoraproject.org/wiki/QA:Testcase_Workstation_Graphical_Upgrade test day. When I click "Download" to download the update, I observed the second tab "Installed(1)" showing progress in button with label "Installing". This should be actually "Downloading" as that part of process just download the update packages and installation actually happens offline.

Version-Release number of selected component (if applicable):
gnome-software on F23

How reproducible:
always

Steps to Reproduce:
1. Click on Download button to download update
2. Observe second tab "Installed(1)"
3.  First row showing "Installing"

Actual results:
Installing label

Expected results:
Downloading lable

Additional info:

Comment 1 Kamil Páral 2016-05-16 17:08:04 UTC
Yes, it would be great to distinguish the downloading and installing phase by changing the label (the progress bar can still stay unified for both). Currently you can hear people asking "why is it installing so long" while in fact it is downloading (and they have a slow internet), they just don't know what's happening in the background.

Comment 2 Matthias Clasen 2016-05-16 19:06:09 UTC
The downloading OS upgrade is not meant to appear in the installed list at all. Thats the bug here.

Comment 3 Richard Hughes 2016-05-25 10:03:06 UTC
commit 91165d5152883b61f63d1eb05866eaaed774ee13
Author: Richard Hughes <richard@hughsie.com>
Date:   Wed May 25 11:01:52 2016 +0100

    Do not show OS Upgrades in the pending list
    
    Fixes: https://bugzilla.redhat.com/show_bug.cgi?id=1336482

Comment 4 Kamil Páral 2016-05-25 13:24:37 UTC
(In reply to Richard Hughes from comment #3)
>     Do not show OS Upgrades in the pending list

Tested with http://koji.fedoraproject.org/koji/taskinfo?taskID=14246529 and the upgrade no longer shows in Installed tab.

Comment 5 Fedora Update System 2016-05-28 18:37:46 UTC
gnome-software-3.20.3-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2be09c9861

Comment 6 Fedora Update System 2016-05-29 23:26:07 UTC
gnome-software-3.20.3-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2be09c9861

Comment 7 Fedora Update System 2016-05-30 21:18:33 UTC
gnome-software-3.20.3-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Kamil Páral 2016-05-31 10:28:45 UTC
We will want to fix this in F23 as well.

Comment 9 Fedora Update System 2016-06-03 09:34:19 UTC
PackageKit-1.1.1-2.fc23 appstream-data-23-11.fc23 fwupd-0.7.1-1.fc23 gnome-software-3.20.3-1.fc23.1 json-glib-1.2.0-1.fc23 libappstream-glib-0.5.14-1.fc23 libgusb-0.2.9-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fad11727bf

Comment 10 Fedora Update System 2016-06-05 03:58:51 UTC
PackageKit-1.1.1-2.fc23, appstream-data-23-11.fc23, fwupd-0.7.1-1.fc23, gnome-software-3.20.3-1.fc23.1, json-glib-1.2.0-1.fc23, libappstream-glib-0.5.14-1.fc23, libgusb-0.2.9-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fad11727bf

Comment 11 Kamil Páral 2016-06-06 11:48:40 UTC
(In reply to Fedora Update System from comment #10)
> PackageKit-1.1.1-2.fc23, appstream-data-23-11.fc23, fwupd-0.7.1-1.fc23,
> gnome-software-3.20.3-1.fc23.1, json-glib-1.2.0-1.fc23,
> libappstream-glib-0.5.14-1.fc23, libgusb-0.2.9-1.fc23 has been pushed to the
> Fedora 23 testing repository. If problems still persist, please make note of
> it in this bug report.

The upgrade download is no longer visible in the Installed tab after this update.

Comment 12 Fedora Update System 2016-07-12 19:14:03 UTC
PackageKit-1.1.2-1.fc23 appstream-data-23-11.fc23 fwupd-0.7.2-1.fc23 gnome-shell-3.18.5-2.fc23 gnome-software-3.20.4-1.fc23 json-glib-1.2.0-1.fc23 libappstream-glib-0.5.16-2.fc23 libgusb-0.2.9-1.fc23 libhif-0.2.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fad11727bf

Comment 13 Fedora Update System 2016-07-14 01:24:51 UTC
PackageKit-1.1.2-1.fc23, appstream-data-23-11.fc23, fwupd-0.7.2-1.fc23, gnome-shell-3.18.5-2.fc23, gnome-software-3.20.4-1.fc23, json-glib-1.2.0-1.fc23, libappstream-glib-0.5.16-2.fc23, libgusb-0.2.9-1.fc23, libhif-0.2.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fad11727bf

Comment 14 Fedora Update System 2016-07-14 13:27:37 UTC
PackageKit-1.1.3-1.fc23 appstream-data-23-11.fc23 fwupd-0.7.2-2.fc23 gnome-shell-3.18.5-2.fc23 gnome-software-3.20.4-1.fc23 json-glib-1.2.0-1.fc23 libappstream-glib-0.5.16-2.fc23 libgusb-0.2.9-1.fc23 libhif-0.2.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fad11727bf

Comment 15 Fedora Update System 2016-07-15 17:52:19 UTC
PackageKit-1.1.3-1.fc23, appstream-data-23-11.fc23, fwupd-0.7.2-2.fc23, gnome-shell-3.18.5-2.fc23, gnome-software-3.20.4-1.fc23, json-glib-1.2.0-1.fc23, libappstream-glib-0.5.16-2.fc23, libgusb-0.2.9-1.fc23, libhif-0.2.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fad11727bf

Comment 16 Fedora Update System 2016-07-20 23:49:22 UTC
PackageKit-1.1.3-1.fc23, appstream-data-23-11.fc23, fwupd-0.7.2-2.fc23, gnome-shell-3.18.5-2.fc23, gnome-software-3.20.4-1.fc23, json-glib-1.2.0-1.fc23, libappstream-glib-0.5.16-2.fc23, libgusb-0.2.9-1.fc23, libhif-0.2.3-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.